> For the complete documentation index, see [llms.txt](https://docs.buzzy.buzz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.buzzy.buzz/developing-and-extending-buzzy/buzzy-rest-api/rest-api/user-and-organization-operations/updateorganization.md).

# updateorganization

### description

Updates an existing Buzzy Organization

### parameters

The `X-Auth-Token` and `X-User-Id` are derived from the values `authToken` and `userId` returned from the login endpoint and are used in the HTTP header.

`organizationID` - required, the organization ID to be updated.

`organizationInfo` - required, JSON object that has properties to be updated.

#### Resource

```
{
	"organizationID":"<organization ID to update>",
	"organizationInfo":{
		"name": "<updated organization name>",
		"description": "<updated organization description>"
	}
}
```

### response

Returns the status of the request

### example

```
POST /api/updateorganization 
X-Auth-Token:<insert token here>
X-User-Id:<insert user id here>

{
	"organizationID": "<organization ID to update>",
	"organizationInfo": {
		"name": "Updated Organization Name",
		"description": "Updated organization description"
	}
}
```

You should get back:

```
{
    "status": "success"
}
```

***
